info.bioinfweb.jphyloio.events.meta

## Class LiteralMetadataEvent

- java.lang.Object
- - info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent
  - - info.bioinfweb.jphyloio.events.LabeledEvent
    - - info.bioinfweb.jphyloio.events.LabeledIDEvent
      - - info.bioinfweb.jphyloio.events.meta.LiteralMetadataEvent

- All Implemented Interfaces:
    JPhyloIOEvent

      public class LiteralMetadataEvent
      extends LabeledIDEvent

  Indicates that literal metadata is modeled at the current position of the document (event stream). The actual literal value will be represented by one or more nested `LiteralMetadataContentEvent`s.
  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    `LiteralMetadataContentEvent`, `ResourceMetadataEvent`, Metadata demo application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiteralMetadataEvent(java.lang.String id, java.lang.String label, URIOrStringIdentifier predicate, LiteralContentSequenceType sequenceType)`
    `LiteralMetadataEvent(java.lang.String id, java.lang.String label, URIOrStringIdentifier predicate, java.lang.String alternativeStringValue, URIOrStringIdentifier originalType, LiteralContentSequenceType sequenceType)`
    `LiteralMetadataEvent(java.lang.String id, java.lang.String label, URIOrStringIdentifier predicate, URIOrStringIdentifier originalType, LiteralContentSequenceType sequenceType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlternativeStringValue()` Returns the alternative string representation of the literal value modeled by the following sequence of `LiteralMetadataContentEvent`s.
    `URIOrStringIdentifier` | `getOriginalType()`
    `URIOrStringIdentifier` | `getPredicate()`
    `LiteralContentSequenceType` | `getSequenceType()` Determines which type of sequence of `LiteralMetadataContentEvent`s will be nested within this event.
    `boolean` | `hasAlternativeStringValue()` Determines whether an alternative string representation is available for the value modeled by the following sequence of `LiteralMetadataContentEvent`s.

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.LabeledIDEvent

      `checkID, getID`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.LabeledEvent

      `getLabel, hasLabel`

    - ### Methods inherited from class info.bioinfweb.jphyloio.events.ConcreteJPhyloIOEvent

      `asCharacterDefinitionEvent, asCharacterSetIntervalEvent, asCommentEvent, asEdgeEvent, asLabeledIDEvent, asLinkedLabeledIDEvent, asLiteralMetadataContentEvent, asLiteralMetadataEvent, asNodeEvent, asPartEndEvent, asResourceMetadataEvent, asSequenceTokensEvent, asSetElementEvent, asSingleSequenceTokenEvent, asSingleTokenDefinitionEvent, asTokenSetDefinitionEvent, asUnknownCommandEvent, createEndEvent, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiteralMetadataEvent

          public LiteralMetadataEvent(java.lang.String id,
                                      java.lang.String label,
                                      URIOrStringIdentifier predicate,
                                      LiteralContentSequenceType sequenceType)

    - #### LiteralMetadataEvent

          public LiteralMetadataEvent(java.lang.String id,
                                      java.lang.String label,
                                      URIOrStringIdentifier predicate,
                                      URIOrStringIdentifier originalType,
                                      LiteralContentSequenceType sequenceType)

    - #### LiteralMetadataEvent

          public LiteralMetadataEvent(java.lang.String id,
                                      java.lang.String label,
                                      URIOrStringIdentifier predicate,
                                      java.lang.String alternativeStringValue,
                                      URIOrStringIdentifier originalType,
                                      LiteralContentSequenceType sequenceType)

  - ### Method Detail

    - #### getPredicate

          public URIOrStringIdentifier getPredicate()

    - #### hasAlternativeStringValue

          public boolean hasAlternativeStringValue()

      Determines whether an alternative string representation is available for the value modeled by the following sequence of `LiteralMetadataContentEvent`s.
      Returns:
        `true` if an alternative representation is available or `false` otherwise

    - #### getAlternativeStringValue

          public java.lang.String getAlternativeStringValue()

      Returns the alternative string representation of the literal value modeled by the following sequence of `LiteralMetadataContentEvent`s.

      Some formats may provide alternative representations of a content, e.g. a human and a machine readable one.

      Returns:
        the alternative representation or `null` if there is none

    - #### getOriginalType

          public URIOrStringIdentifier getOriginalType()

    - #### getSequenceType

          public LiteralContentSequenceType getSequenceType()

      Determines which type of sequence of `LiteralMetadataContentEvent`s will be nested within this event.
      Returns:
        the content sequence type